Subject: Re: Distributed locate resource types

From: [email-masked] (Dave Finnie)
Date: Thu, 5 Aug 93 08:16:17 EST

Dave,

I understand that current APPN implementations do not properly support non-LU searches.
However, my readings of both the APPN EN (-2) and APPN NN (-3) FAP lead me to believe that
such a feature has always been implied. From what I could see, it had been cleanly
integrated into the entire architecture from the beginning, waiting for an APPN node to
begin support for a new resource type.

Are architectural changes required, therefore ? Are not current implementations in error,
and requiring an upgrade if such a facility is desired ? (Similar to support for non-APPC
traffic.)

Also, I guess I was not clear about my concept of resource type identifier usage: When I
say user-defined, I was refering to our customers, as distinct from us. I have no 
immediate use for defining a non-LU resource type for use in distributed locate searches.
However, I can imagine that our customers may wish to search for resource types particular
to their business needs, or perhaps the needs of a particular application. Some that come
to mind are physical disk volumes or files. Such a use of resource types would need no
administration by the APPN team, so long as a portion of the allowable numbers were 
reserved for user-definition, and would not be used by SNA.

Dave

----- Begin Included Message -----